package cn.teammodel.model.vo.admin;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Map;

/**
 * @author winter
 * @create 2024-02-28 15:15
 */
@Data
public class DutyIndexData {
    @ApiModelProperty("值周巡检评价数据的总数")
    private Integer totalCount = 0;
    @ApiModelProperty("加分总数")
    private Integer positiveCount = 0;
    @ApiModelProperty("扣分总数")
    private Integer negetiveCount = 0;
    @ApiModelProperty("使用老师的总数")
    private Integer teacherCount = 0;
    @ApiModelProperty("被评价班级的总数")
    private Integer classCount = 0;
    @ApiModelProperty("学期中按周分布的评价数据")
    private Map<Long, Integer> countByWeek;
}
